For the complete documentation index, see llms.txt. This page is also available as Markdown.

Workflow Management (Core)

Search endpoint for workflows.

List workflows (search)

post

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Search for Workflow

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

WorkflowSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

Example: 10
startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
200

Your search result

application/json

WorkflowPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post/api/workflows/search
POST /api/workflows/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1306

{
  "after": "text",
  "before": "text",
  "last": 1,
  "options": {
    "withTotal": true
  },
  "query": {
    "and": [
      {
        "and": [
          {
            "and": "[Circular Reference]",
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "isActive": {
              "eq": true,
              "notEq": true
            },
            "name": {
              "eq": "text",
              "in": [
                "text"
              ],
              "like": "text",
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "or": "[Circular Reference]",
            "tenantWorkflowId": "MY_WORKFLOW_ID"
          }
        ],
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "isActive": {
          "eq": true,
          "notEq": true
        },
        "name": {
          "eq": "text",
          "in": [
            "text"
          ],
          "like": "text",
          "notEq": "text",
          "notIn": [
            "text"
          ]
        },
        "or": [
          {
            "and": "[Circular Reference]",
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "isActive": {
              "eq": true,
              "notEq": true
            },
            "name": {
              "eq": "text",
              "in": [
                "text"
              ],
              "like": "text",
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "or": "[Circular Reference]",
            "tenantWorkflowId": "MY_WORKFLOW_ID"
          }
        ],
        "tenantWorkflowId": "MY_WORKFLOW_ID"
      }
    ],
    "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "isActive": {
      "eq": true,
      "notEq": true
    },
    "name": {
      "eq": "text",
      "in": [
        "text"
      ],
      "like": "text",
      "notEq": "text",
      "notIn": [
        "text"
      ]
    },
    "or": [
      {
        "and": "[Circular Reference]",
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "isActive": {
          "eq": true,
          "notEq": true
        },
        "name": {
          "eq": "text",
          "in": [
            "text"
          ],
          "like": "text",
          "notEq": "text",
          "notIn": [
            "text"
          ]
        },
        "or": "[Circular Reference]",
        "tenantWorkflowId": "MY_WORKFLOW_ID"
      }
    ],
    "tenantWorkflowId": "MY_WORKFLOW_ID"
  },
  "size": 10,
  "sort": [
    {
      "id": "ASC"
    }
  ]
}
{
  "pageInfo": {
    "endCursor": "text",
    "hasNextPage": true,
    "hasPreviousPage": true,
    "startCursor": "text"
  },
  "total": 1,
  "workflows": [
    {
      "nameLocalized": {
        "de_DE": "Betrugsprüfung",
        "en_US": "Fraud Check"
      },
      "descriptionLocalized": {
        "de_DE": "Betrugsprüfungs-Workflow",
        "en_US": "Fraud check workflow"
      },
      "connections": [
        {
          "from": "text",
          "to": "text"
        }
      ],
      "description": "text",
      "id": "507f1f77bcf86cd799439011",
      "isActive": true,
      "name": "text",
      "nodes": [
        {
          "nameLocalized": {
            "de_DE": "Betrugsprüfung",
            "en_US": "Fraud Check"
          },
          "descriptionLocalized": {
            "de_DE": "Betrugsprüfungs-Workflow",
            "en_US": "Fraud check workflow"
          },
          "description": "text",
          "key": "text",
          "name": "text",
          "type": "ORDER_MODULE"
        }
      ],
      "rootId": "order-node",
      "tenantWorkflowId": "fraud-check-workflow",
      "type": "ORDER",
      "version": 1
    }
  ]
}

Last updated

Was this helpful?